Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.datagen
Interface LookupResolver

All Superinterfaces:
  org.eclipse.emf.cdo.CDOObject, org.eclipse.emf.cdo.common.id.CDOWithID, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface LookupResolver

extends org.eclipse.emf.cdo.CDOObject

A representation of the model object 'Lookup Resolver'.

The following features are supported:

- `Foreign Key`
- `Supplier DAO`
- `Name`

See Also:
  `DatagenPackage.getLookupResolver()`

Method Summary
`it.csi.mddtools.rdbmdl.constraints.ForeignKey` | `getForeignKey()` Returns the value of the 'Foreign Key' reference
`java.lang.String` | `getName()` Returns the value of the 'Name' attribute
`DataAccessObject` | `getSupplierDAO()` Returns the value of the 'Supplier DAO' reference
`void` | `setForeignKey(it.csi.mddtools.rdbmdl.constraints.ForeignKey value)` Sets the value of the '`Foreign Key`' reference
`void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
`void` | `setSupplierDAO(DataAccessObject value)` Sets the value of the '`Supplier DAO`' reference

Methods inherited from interface org.eclipse.emf.cdo.CDOObject
`cdoConflict, cdoDirectResource, cdoID, cdoInvalid, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoState, cdoView, cdoWriteLock`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getForeignKey

    it.csi.mddtools.rdbmdl.constraints.ForeignKey getForeignKey()

  Returns the value of the 'Foreign Key' reference.

  If the meaning of the 'Foreign Key' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Foreign Key' reference.
  See Also:
    `setForeignKey(ForeignKey)`, `DatagenPackage.getLookupResolver_ForeignKey()`

### setForeignKey

    void setForeignKey(it.csi.mddtools.rdbmdl.constraints.ForeignKey value)

  Sets the value of the '`Foreign Key`' reference.

  Parameters:
    `value` - the new value of the 'Foreign Key' reference.
  See Also:
    `getForeignKey()`

### getSupplierDAO

    DataAccessObject getSupplierDAO()

  Returns the value of the 'Supplier DAO' reference.

  If the meaning of the 'Supplier DAO' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Supplier DAO' reference.
  See Also:
    `setSupplierDAO(DataAccessObject)`, `DatagenPackage.getLookupResolver_SupplierDAO()`

### setSupplierDAO

    void setSupplierDAO(DataAccessObject value)

  Sets the value of the '`Supplier DAO`' reference.

  Parameters:
    `value` - the new value of the 'Supplier DAO' reference.
  See Also:
    `getSupplierDAO()`

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `DatagenPackage.getLookupResolver_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD